/****************************************************************************************


		MCInitGUID.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

// Include after mccompobj.h to enable GUID initialization.  This 
//              must be done once per exe/dll.
//
// After this file, include one or more of the GUID definition files.

#ifndef MCDEFINE_GUID
#pragma error "initguid: must include mccompobj.h first."
#endif

#undef MCDEFINE_GUID
#undef MCDEFINE_GUID2

#define MCDEFINE_GUID(name, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8) \
    extern "C" const MCGUID name(l, w1, w2, b1, b2,  b3,  b4,  b5,  b6,  b7,  b8)
#define MCDEFINE_GUID2(name, paramlist) \
    extern "C" const MCGUID name(paramlist)

#if defined(qDeclareSafeGuids)
	#undef MCDEFINE_GUID_SAFELIB
	#undef MCDEFINE_GUID_SAFELIB2

	#define MCDEFINE_GUID_SAFELIB(name, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8) \
		extern "C" const MCGUID name(l, w1, w2, b1, b2,  b3,  b4,  b5,  b6,  b7,  b8)
	#define MCDEFINE_GUID_SAFELIB2(name, paramlist) \
		extern "C" const MCGUID name(paramlist)
#endif
